GzipInterceptorMBean (Apache Tomcat 9.0.71 API Documentation)

Package org.apache.catalina.tribes.group.interceptors

## Interface GzipInterceptorMBean

- All Known Implementing Classes:
    `GzipInterceptor`

      public interface GzipInterceptorMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getCompressedSizeRX()` |
    `long` | `getCompressedSizeTX()` |
    `int` | `getCompressionMinSize()` |
    `int` | `getCount()` |
    `int` | `getCountCompressedRX()` |
    `int` | `getCountCompressedTX()` |
    `int` | `getCountUncompressedRX()` |
    `int` | `getCountUncompressedTX()` |
    `int` | `getInterval()` |
    `int` | `getOptionFlag()` |
    `long` | `getSizeRX()` |
    `long` | `getSizeTX()` |
    `boolean` | `getStatsEnabled()` |
    `long` | `getUncompressedSizeRX()` |
    `long` | `getUncompressedSizeTX()` |
    `void` | `report()` |
    `void` | `reset()` |
    `void` | `setCompressionMinSize​(int compressionMinSize)` | Set the minimum payload size for compression to be enabled.
    `void` | `setInterval​(int interval)` | If statistics collection is enabled, set the number of messages between statistics reports being written to the log.
    `void` | `setOptionFlag​(int optionFlag)` |
    `void` | `setStatsEnabled​(boolean statsEnabled)` | Configure whether the interceptor collects statistics.

- - ### Method Detail

    - #### getOptionFlag

          int getOptionFlag()

    - #### setOptionFlag

          void setOptionFlag​(int optionFlag)

    - #### getCompressionMinSize

          int getCompressionMinSize()

      Returns:
        the minimum payload size for compression to be enabled.

    - #### setCompressionMinSize

          void setCompressionMinSize​(int compressionMinSize)

      Set the minimum payload size for compression to be enabled. A value of zero or less means compression will always be used. If not explicitly configured, a default of zero will be used.
      Parameters:
        `compressionMinSize` - The new minimum payload size

    - #### getStatsEnabled

          boolean getStatsEnabled()

      Returns:
        `true` if the interceptor is configured to collect statistics, otherwise `false`

    - #### setStatsEnabled

          void setStatsEnabled​(boolean statsEnabled)

      Configure whether the interceptor collects statistics.
      Parameters:
        `statsEnabled` - `true` to enable statistics collections, otherwise `false`

    - #### getInterval

          int getInterval()

      Returns:
        If statistics collection is enabled, the number of messages between statistics reports being written to the log.

    - #### setInterval

          void setInterval​(int interval)

      If statistics collection is enabled, set the number of messages between statistics reports being written to the log. A value of zero or less means no statistics reports are written.
      Parameters:
        `interval` - The new interval between reports

    - #### getCount

          int getCount()

    - #### getCountCompressedTX

          int getCountCompressedTX()

    - #### getCountUncompressedTX

          int getCountUncompressedTX()

    - #### getCountCompressedRX

          int getCountCompressedRX()

    - #### getCountUncompressedRX

          int getCountUncompressedRX()

    - #### getSizeTX

          long getSizeTX()

    - #### getCompressedSizeTX

          long getCompressedSizeTX()

    - #### getUncompressedSizeTX

          long getUncompressedSizeTX()

    - #### getSizeRX

          long getSizeRX()

    - #### getCompressedSizeRX

          long getCompressedSizeRX()

    - #### getUncompressedSizeRX

          long getUncompressedSizeRX()

    - #### reset

          void reset()

    - #### report

          void report()